{
  lib,
  rustPlatform,
  fetchFromGitHub,
  pkg-config,
  wrapGAppsHook4,
  cairo,
  gdk-pixbuf,
  glib,
  gtk4,
  libadwaita,
  pango,
}:

rustPlatform.buildRustPackage rec {
  pname = "rclone-shuttle";
  version = "0.1.4";

  src = fetchFromGitHub {
    owner = "pieterdd";
    repo = "RcloneShuttle";
    rev = version;
    hash = "sha256-cQypo/JLvpUXdV3d/GOekKbdcPzhOrwtA9gk3DC9vYk=";
  };

  cargoHash = "sha256-nXGNvkiGULd++IoXNiY2lFZz3J9qpj4IdtR1VJnRwZY=";

  nativeBuildInputs = [
    pkg-config
    wrapGAppsHook4
  ];

  buildInputs = [
    cairo
    gdk-pixbuf
    glib
    gtk4
    libadwaita
    pango
  ];

  meta = {
    description = "Upload your files to anywhere - GTK4 GUI for Rclone";
    homepage = "https://github.com/pieterdd/RcloneShuttle";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "rclone-shuttle";
  };
}
